<?php
function str2int( &$file, $pos, $by )
{
	$int = 0;
	for ( $i=0; $i < $by; $i++ )
	{
		$b = ord( $file[$pos+$i] );
		$int |= ($b << ($i*8));
	}
	return $int;
}

function prefix( $fname )
{
	$file = file_get_contents($fname);
	if ( empty($file) )  return;

	$dir = str_replace('.', '_', $fname);
	@mkdir($dir, 0755, true);

	$ed = strlen($file);
	$st = 0;
	$id = 0;
	while ( $st < $ed )
	{
		if ( $file[$st] != chr(1) )
			break;
		$len = str2int($file, $st+1, 4);
		printf("%8x  %8x\n", $st, $len);

		$dat = substr($file, $st+9, $len);
		$dat = zlib_decode($dat);
			$st += (9 + $len + 1);

		file_put_contents("$dir/$id.dec", $dat);
		$id++;
	}
	return;
}

for ( $i=1; $i < $argc; $i++ )
	prefix( $argv[$i] );
